Installation prüfen: plugin beschädigt

Hier können Probleme und alles andere in Deutscher Sprache gelöst werden.
Post Reply
Czorneboh
Regular
Posts: 381
Joined: Tue Apr 08, 2008 7:17 pm
Location: Berlin
Contact:

Installation prüfen: plugin beschädigt

Post by Czorneboh » Fri Apr 21, 2017 10:08 pm

Hallo zusammen

Bei mir läuft Version 2.05 mit PHP 5.6.30
Unter "Wartung" habe ich auf "Installation überprüfen" geklickt.

Es kam rot unterlegt die Fehlermeldung:
plugins/serendipity_plugin_quicksearch/serendipty_plugin_quicksearch.php beschädigt oder verändert: Überprüfung fehlgeschlagen
Soll ich das so verstehen, dass, nachdem das Überprüfungsprogramm auf diesen Fehler stieß, die weitere Überprüfung abgebrochen hat, anstatt weiterzuprüfen und eventuell weitere Fehler zu finden und auch gleich zu zeigen?

Im Frontend funktioniert die Website-Suche oben rechts. Erinnere ich mich richtig, dass diese Suche zum Kern von s9y gehört?

Bei mir im Backend liegt das Plugin "Suche [serendipity_plugin_quicksearch]" derzeit unter "versteckt". Die schmalere Seitenleiste (120 px) war zu schmal, es wird nicht korrekt dargestellt.

Beim Entwicklertreffen in Essen war auch ein Thema "Ausmisten" von Plugins.

Ist bekannt, ob das Such-Plugin bessere Suchergebnisse sucht als dasjenige, was Teil des Kerns ist?

Ich würde es jetzt deinstallieren und schauen, ob die Fehlermeldung bei "Installation prüfen" dann weg ist. Auch in der Hoffnung, dass dann die Installation vollständig überprüft wird.

User avatar
yellowled
Regular
Posts: 7007
Joined: Fri Jan 13, 2006 12:46 pm
Location: Eutin, Germany
Contact:

Re: Installation prüfen: plugin beschädigt

Post by yellowled » Sat Apr 22, 2017 10:44 am

Czorneboh wrote:Erinnere ich mich richtig, dass diese Suche zum Kern von s9y gehört?
Ja.
Czorneboh wrote:Bei mir im Backend liegt das Plugin "Suche [serendipity_plugin_quicksearch]" […] Ist bekannt, ob das Such-Plugin bessere Suchergebnisse sucht als dasjenige, was Teil des Kerns ist?
Es handelt sich um ein- und dasselbe Plugin.
Czorneboh wrote:Ich würde es jetzt deinstallieren und schauen, ob die Fehlermeldung bei "Installation prüfen" dann weg ist.
Sehr wahrscheinlich nicht, es sei denn, Du meinst mit „deinstallieren“ das Löschen des Pluginverzeichnisses (was sinnfrei ist, weil es ein Kern-Plugin ist, das beim nächsten Update erneut installiert wird). Die Plugin-Dateien, die bei dieser Prüfung mit Checksummen abgeglichen werden, sind ja immer noch auf dem Server vorhanden, auch wenn das Plugin nicht aktiviert ist.

Die Frage, ob die Suche abgebrochen wird, kann ich leider nicht beantworten.

Sofern Du nicht an der plugins/serendipity_plugin_quicksearch/serendipty_plugin_quicksearch.php irgendetwas manuell verändert hast, wäre meine Vermutung zunächst einmal, dass der Upload dieser Datei vielleicht mal bei einem Update fehlgeschlagen ist und dass deshalb der Checksummen-Abgleich fehlschlägt. Du könntest die Datei einfach mal aus einem 2.0.5-Archiv neu hochladen und erneut prüfen lassen.

YL
amazon Wishlist - Serendipity-Podcast (German only, sorry)

User avatar
yellowled
Regular
Posts: 7007
Joined: Fri Jan 13, 2006 12:46 pm
Location: Eutin, Germany
Contact:

Re: Installation prüfen: plugin beschädigt

Post by yellowled » Sat Apr 22, 2017 10:50 am

yellowled wrote:Die Frage, ob die Suche abgebrochen wird, kann ich leider nicht beantworten.
Angesichts der Backend-Templates würde ich sagen, dass die Suche dennoch komplett durchläuft. In den Backend-Templates wird über das komplette Array der fehlgeschlagenen Tests iteriert, auch in der entsprechenden Funktion gibt es keine Unterbrechungsanweisungen, so weit ich sehen kann. Es wäre auch sinnfrei, diese Art Test beim ersten Fehler abzubrechen. (Man möge mich aber ggf. korrigieren.)

YL
amazon Wishlist - Serendipity-Podcast (German only, sorry)

Czorneboh
Regular
Posts: 381
Joined: Tue Apr 08, 2008 7:17 pm
Location: Berlin
Contact:

Re: Installation prüfen: plugin beschädigt

Post by Czorneboh » Sun Apr 30, 2017 8:52 pm

Danke.
Du könntest die Datei einfach mal aus einem 2.0.5-Archiv neu hochladen und erneut prüfen lassen.
Habe ich gemacht. Ergebnis:
Alle erforderlichen Dateien wurden überprüft.
Jetzt ist eine Updateversion sichtbar, Version 1.2. Die war zuvor nicht sichtbar, aber früher schon. Ich hatte sie am 08.11.2016 installiert (Es gab sie schon am 22.05.16). Suche hatte funktioniert.

Na dann ist jetzt Zeit für s9y 2.1.1 :D

Post Reply